<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Sessions|Active Sessions|Meterpreter Sessions">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to interact with Meterpreter sessions." /><title>Interacting with Meterpreter Sessions</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#09-sessions/interacting-meterpreter-sessions.html">Open topic with navigation</a>
        </p>
        <h3>Interacting with Meterpreter Sessions</h3>
        <p>Before you can interact with a <a name="kanchor116"></a>Meterpreter session, you must have an active session on a compromised Windows target. </p>
        <ol>
            <li value="1">From within a project, click the <b class="UISelection">Sessions </b>tab.</li>
            <li value="2">When the Sessions window appears, click on the active session that you want to open. The session must be a Meterpreter session.</li>
            <li value="3">Click <b class="UISelection">Virtual Desktop</b> from the Available Actions area.</li>
            <li value="4">Choose the Java client or choose to manually connect to an external client.</li>
        </ol>
    </body>
</html>